import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:yflutter_widgets/application.dart';
import 'package:yflutter_widgets/router/routes_mapping.dart';
import 'package:yflutter_widgets/widgets/ydashed_line.dart';
import 'package:yflutter_widgets/widgets/ydivide.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    Routes.routesConfiguration(Application.router);
    return MaterialApp(
        debugShowCheckedModeBanner: false,
        theme: ThemeData(
          platform: TargetPlatform.iOS,
            visualDensity: VisualDensity.adaptivePlatformDensity,
            pageTransitionsTheme: PageTransitionsTheme(builders: {
              TargetPlatform.android: CupertinoPageTransitionsBuilder(),
              TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
            })
        ),
        home: YHomePage(),
    );
  }
}

class YHomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    ScreenUtil.init(context, designSize: Size(414, 896));
    return Scaffold(
      appBar: AppBar(
        title: Text("YFlutter Widgets Demo"),
      ),
      body: ListView(
        children: [
          Divide(type: DivideType.Full),
          /*
           * Customized Tab Bar.*/
          Center(
            child: MaterialButton(
              child: Text('自定义Tab Bar'),
              color: Colors.blue,
              onPressed: () {
                Application.router.navigateTo(context, Routes.yTabBarRoute);
              },
            ),
          ),
          Divide(type: DivideType.iOSTableDefault),
          /*
          * Selectable Tags with Grid Display View.*/
          Center(
            child: MaterialButton(
              child: Text('可选中标签Grid View'),
              color: Colors.blue,
              onPressed: () {
                Application.router.navigateTo(context, Routes.yTagsGridRoute);
              },
            ),
          ),
          Divide(type: DivideType.Center),
          /*
          * Customized Card View with free inside widgets.*/
          Center(
            child: MaterialButton(
              child: Text('自定义内容的卡片'),
              color: Colors.blue,
              onPressed: () {
                Application.router.navigateTo(context, Routes.yCardRoute);
              },
            ),
          ),
          YDashedLine(count: 20, dotSize: Size(8,8),),

          Center(
            child: MaterialButton(
              child: Text('自定义列表页'),
              color: Colors.blue,
              onPressed: () {
                Application.router.navigateTo(context, Routes.yListRoute);
              },
            ),
          ),
        ],
      ),
    );
  }
}


