import 'package:yflutter_widgets/widgets/listview/ylvproviders/contractedbarprovider.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:provider/provider.dart';

class YLVAppBarHeader extends StatefulWidget {
  YLVAppBarHeader({
    @required this.insideWidget,
    this.title = "",
    this.headerColor = Colors.white,
    this.leftBarItem,
    this.rightBarItems,
    this.headerHeight = 150,
    this.titleColor = Colors.black,
    this.contractedTitleColor = Colors.white,
  });


  final Widget insideWidget;
  final String title;
  final Color headerColor;
  final double headerHeight;
  final Widget leftBarItem;
  final List<Widget> rightBarItems;

  final Color titleColor;
  final Color contractedTitleColor;

  @override
  _YLVAppBarHeaderState createState() => _YLVAppBarHeaderState();
}

class _YLVAppBarHeaderState extends State<YLVAppBarHeader> {
  @override
  Widget build(BuildContext context) {
    return SliverAppBar(
      backgroundColor: widget.headerColor,
      pinned: true,
      snap: false,
      floating: false,
      leading: widget.leftBarItem,
      actions: widget.rightBarItems,
      centerTitle: true,
      title: Consumer<ContractedBarProvider> (
        builder: (BuildContext context, ContractedBarProvider contractedBarProvider, Widget child) {
          return Text(
            widget.title,
            style: TextStyle(
            color: contractedBarProvider.isContracted ? widget.titleColor : widget.contractedTitleColor,
            fontSize: ScreenUtil().setSp(19)
            ),
          );
        },
      ) ,
      expandedHeight: widget.headerHeight,
      flexibleSpace: FlexibleSpaceBar(
        background: widget.insideWidget
      ),
    );
  }
}
